.header {
    background: $secondary;

    &__row {
        height: size-rel(44px);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        font-size: 0;
        line-height: 0;
        display: block;
        width: size-rel(131px);
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1450;
        opacity: 0;
        visibility: hidden;
        position: fixed;
    }

    &__search {
        display: none;
    }

    &__nav {
        display: none;
    }

    &__dear {
        font-size: 0;
        line-height: 0;
        display: block;
        width: size-rel(30px);
        text-decoration: none;
    }

    @include media-breakpoint-up(xl) {

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }

        &__content {
            width: 121px;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__search {
            width: 21px;
            height: 34px;
            display: block;
            position: relative;
        }

        &__nav {
            display: block;
        }
    }
}

.hamburger {
    width: 20px;
    height: 12px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        height: 1px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $white;
    }

    span {
        top: 50%;
        width: 100%;
    }

    &:after {
        top: 0;
        width: 70%;
    }

    &:before {
        top: 100%;
        width: 80%;
    }

    &.hamburger--open {

    }
}

.mobile-nav {
    left: 0;
    width: 100%;
    bottom: 0;
    top: 44px;
    z-index: 1200;
    color: $white;
    position: fixed;
    background: $secondary;
    border-top: 1px solid $gray-600;
    transition: .3s;
    transform: translateX(-100%);

    &__scroll {
        height: 100%;
    }

    &__wrap {
        padding: 16px;
        border-bottom: 1px solid $gray-600;
    }

    &__search {
        position: relative;
        background: rgba(255,255,255,0.16);
        $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

        #{$input-selector} {
            z-index: 1;
            width: 100%;
            outline: none;
            display: block;
            color: $white;
            box-shadow: none;
            font-weight: 500;
            position: relative;
            vertical-align: middle;
            background: transparent;
            font-size: size-rel(13px);
            line-height: size-rel(16px);
            border: 1px solid transparent;
            padding: size-rel(8px) size-rel(12px) size-rel(8px) size-rel(60px);
            @include placeholder($white);

            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                color: $white;
                @include placeholder(transparent);
            }
        }

        &--icon {
            left: 12px;
            top: calc(50% - 10px);
            z-index: 10;
            width: 21px;
            height: 21px;
            fill: $white;
            position: absolute;
        }
    }

    &__content {
        padding: 16px 32px;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;

        > li {
            padding: 6px 0;
            border-bottom: 1px solid $gray-600;

            ul {
                display: none;
            }

            > ul {
                margin: 0;
                padding: 0;
                list-style: none;

                > li {

                    > ul {
                        margin: 0;
                        padding: 0 0 0 20px;
                        list-style: none;
                    }
                }
            }
        }

        &--third {
            padding-left: 20px;
        }
    }

    &__item {
        display: flex;
        align-items: center;
        justify-content: space-between;

        &.active {

            .mobile-nav__toggle {
                transition: .3s;
                transform: rotate(135deg);
            }
        }
    }

    &__primary {
        color: $gray-400;
        padding: 8px 10px 8px 0;
        text-decoration: none;
        font-size: size-rel(14px);
        line-height: size-rel(16px);
        display: flex;
        align-items: center;
        flex-grow: 1;

        &:hover {
            color: $gray-400;
            text-decoration: none;
        }
    }

    &__link {
        font-weight: 500;
        color: $gray-400;
        text-decoration: none;
        padding: 8px 16px;
        font-size: size-rel(12px);
        line-height: size-rel(16px);

        &:hover {
            color: $gray-400;
            text-decoration: none;
        }
    }

    &__toggle {
        width: 10px;
        height: 10px;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: relative;
        display: inline-block;
        transition: .3s;

        &:after,
        &:before {
            top: 50%;
            left: calc(50% - 5px);
            z-index: 10;
            width: 10px;
            height: 1px;
            content: '';
            position: absolute;
            display: inline-block;
            background-color: $white;
        }

        &:after {
            transform: rotate(90deg);
        }
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1150;
        opacity: 0;
        visibility: hidden;
        background: rgba(255,255,255,0.3);
        position: fixed;
        backdrop-filter: blur(4px);
        transition: .3s;
    }

    &__contact {
        margin: 0;
        line-height: 100%;
        list-style: none;
        padding: size-rel(18px) 0 0 0;

        li {
            &:not(:last-child) {
                margin-bottom: size-rel(10px);
            }

            &:last-child {
                padding-top: size-rel(3px);
            }
        }
    }

    &__phone {
        color: $white;
        text-decoration: none;
        font-weight: 700;
        display: inline-block;
        font-size: size-rel(18px);
        line-height: size-rel(18px);

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__region {
        color: $green;
        cursor: pointer;
        display: inline-block;
        font-size: size-rel(14px);
        line-height: size-rel(14px);
    }

    @include media-breakpoint-up(md) {
        width: 420px;

        &__primary {
            font-size: size-rel(16px);
            line-height: size-rel(18px);
        }

        &__link {
            font-size: size-rel(14px);
            line-height: size-rel(18px);
        }
    }

    @include media-breakpoint-up(xl) {
        opacity: 0;
        display: none;
        visibility: hidden;

        &__layout {
            opacity: 0 !important;
            display: none !important;
            visibility: hidden !important;
        }
    }
}

.nav-open {

    .mobile-nav {
        transition: .3s;
        transform: translateX(0);
    }

    .mobile-nav__layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(6px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-6px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }
}

.search-bar {
    top: 0;
    right: 0;
    width: 21px;
    height: 34px;
    position: absolute;
    transition: .3s;
    background: $secondary;

    &__toggle {
        left: 0;
        z-index: 20;
        cursor: pointer;
        top: calc(50% - 10px);
        width: 21px;
        height: 21px;
        fill: $white;
        display: block;
        position: absolute;
        transition: .3s;
    }

    &__input {
        z-index: 5;
        border: none;
        outline: none;
        margin-left: 30px;
        display: none;
        color: rgba(255,255,255,0.8);
        background: transparent;
        width: calc(100% - 30px);
        position: relative;
        padding: 9px 20px 9px 60px;
        font-size: size-rel(13px);
        line-height: size-rel(16px);
        vertical-align: middle;
        @include placeholder(rgba(255,255,255,0.8));

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }


        &:focus,
        &:active {
            outline: none;
            color: rgba(255,255,255,0.8);
            @include placeholder(transparent);
        }

    }

    &.open {
        width: 860px;
        transition: .3s;

        &:before {
            top: 0;
            left: 30px;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            display: block;
            position: absolute;
            background: rgba(255,255,255,0.16);
        }

        .search-bar__toggle {
            left: 45px;
            transition: .3s;
        }

        .search-bar__input {
            display: block;
        }
    }
}

.nav {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    font-size: size-rel(14px);
    line-height: size-rel(16px);

    > li {
        padding: 0 28px;
        position: relative;

        > a {
            padding: 14px 0;
            color: $gray-400;
            display: inline-block;
            text-decoration: none;

            &:hover {
                color: $white;
                text-decoration: none;
            }
        }

        &:hover {

            > a {
                color: $white;
                text-decoration: none;
            }

            .nav__second {
                opacity: 1;
                visibility: visible;
            }

            .nav__mega {
                opacity: 1;
                visibility: visible;
            }
        }

        &.nav-mega {
            position: initial;
        }
    }

    &__second {
        top: 100%;
        left: -6px;
        margin: 0;
        opacity: 0;
        visibility: hidden;
        padding: 24px 0;
        min-width: calc(100% + 12px);
        position: absolute;
        list-style: none;
        background: $white;
        border-radius: 0 0 10px 10px;
        font-size: size-rel(14px);
        line-height: size-rel(16px);

        > li {

            > a {
                display: block;
                cursor: pointer;
                color: $secondary;
                padding: 12px 36px;
                text-decoration: none;

                &:hover {
                    color: $green;
                    text-decoration: none;
                }
            }
        }
    }

    &__mega {
        opacity: 0;
        visibility: hidden;
    }
}

.mega-nav {
    left: 0;
    right: 0;
    top: 100%;
    padding: 25px 0;
    position: absolute;
    background: $white;
    border-radius: 0 0 20px 20px;
    display: flex;
    justify-content: space-between;

    &__left {
        width: 334px;
        flex-shrink: 0;
        padding: 0;
        border-right: 1px solid #D2D2D2;
    }

    &__right {
        width: 293px;
        flex-shrink: 0;
        padding: 0 36px 0 32px;
        border-left: 1px solid #D2D2D2;
    }

    &__center {
        flex-grow: 1;
        min-height: 1px;
    }

    &__primary {
        margin: 0;
        padding: 0;
        list-style: none;
        position: relative;
        font-size: size-rel(14px);
        line-height: size-rel(21px);

        li {

            a {
                display: flex;
                align-items: center;
                color: $secondary;
                text-decoration: none;
                padding: 8px 28px 8px 18px;
                background-position: 0 50%;
                background-repeat: no-repeat;
                fill: $secondary;

                &:hover,
                &.active {
                    color: $accent;
                    text-decoration: none;
                    fill: $accent;
                }

                i {
                    font-size: 0;
                    line-height: 0;
                    margin-right: size-rel(13px);
                    height: size-rel(26px);
                    display: inline-block;
                }

                span {
                    display: inline-block;
                }
            }

            &:hover {

                > a {
                    fill: $accent;
                    color: $accent;
                }

                .mega-nav__second {
                    display: block;
                }
            }
        }
    }

    &__second {
        top: 0;
        height: 100%;
        left: 100%;
        margin: 0;
        padding: 0;
        width: 494px;
        list-style: none;
        position: absolute;
        font-size: size-rel(12px);
        line-height: size-rel(18px);
        display: none;
        flex-wrap: wrap;
        align-items: flex-start;

        li {
            width: 100%;
            padding-left: 36px;

            a {
                display: block;
                color: $secondary;
                text-decoration: none;
                padding: 10px 0;
                background-position: 0 50%;
                background-repeat: no-repeat;

                &:hover,
                &.active {
                    color: $accent;
                    text-decoration: none;
                }
            }

        }

        &.active {
            display: block;
        }

        &--rows {
            column-count: 2;
            column-gap: size-rel(10px);

            li {
           //     width: 50%;
            }
        }
    }

    &__third {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: size-rel(12px);
        line-height: size-rel(18px);

        li {

            a {
                display: block;
                color: $secondary;
                text-decoration: none;
                padding: 10px 0;
                background-position: 0 50%;
                background-repeat: no-repeat;

                &:hover,
                &.active {
                    color: $accent;
                    text-decoration: none;
                }
            }

        }
    }

    &__divider {
        padding-top: 10px;
        margin-bottom: 10px;
        border-bottom: 1px solid #D2D2D2;
    }
}

.nav-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    display: none;
    position: fixed;
    z-index: 1150;
    background: rgba(0,0,0,0.26);
    transition: .2s;

    @include media-breakpoint-up(xl) {
        display: block;

        &.open {
            opacity: 1;
            visibility: visible;
            transition: .2s;
        }
    }
}
